<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AttendanceSession extends Model
{
    protected $fillable = [
        'training_class_id',
        'title',
        'session_date',
        'session_time',
        'note',
    ];

    public function trainingClass()
    {
        return $this->belongsTo(TrainingClass::class);
    }

    public function attendances()
    {
        return $this->hasMany(Attendance::class);
    }
}
